# Vidéo : Analyse comparée des différents outils 

## Un cours ou un tutoriel 

Un notebook Jupyter est un document dynamique, facile à prendre en main. 

## Un journal 

Journal en org-mode : prise de notes sur les réunions, le code, etc. 

- un seul auteur 
- organisation chronologique
- étiquettes sur chaque entrée ; très faciles à filtrer sur OrgMode
- contient : notes, liens, codes (pour éventuellement pouvoir le réutiliser plus tard)

## Cahier de laboratoire en org-mode

Ici : cahier de labo informatique
Sections : 
- expériences
- analyses 

Au sein de ces sections : organisation dans l'ordre chronologique

## Un article reproductible 

Utilisation de org-mode 
Permet d'avoir : 
- plusieurs auteurs 
- régénération des figures
- permet au lecteur averti de revenir aux sources

## Conclusion de la vidéo ... 

Utilisation de Rstudio/knitr facile, mais navigation limitée. Ecriture d'un article : possible. 
Org-Mode : utilisation plus complexe, mais navigation puissante. Pas spécifique d'un langage particulier.  
Jupyter : environnement web, très facile d'accès

**L 'outil importe peu** : ce qui importe c'est : 
- collecter l'information
- l'organiser et la rendre exploitable 
- la rendre disponible

Mais ces trois environnements sont matures. 

## Notes d'après les questions

Ces trois environnements fonctionnement sur tous les systèmes d'exploitations.
Jupyter, OrgMode et Rstudio se distinguent par :
a. La facilité d’installation et de prise en main
b. L’année de création et le langage sous-jacent
c. La capacité à rédiger des documents respectant un style bien spécifique et prêt à la soumission à un journal ou une conférence
d. Le format de fichier utilisé (JSON pour Jupyter, Rmd pour Rstudio, Org pour Org-Mode)

L'utilisation de l'un ou de l'autre des trois documents se justifie par : 
- le type de document que l'on souhaite rédiger
- le public amené à l'utiliser

Pour que l'information d'un document computationnel soit exploitable, il est important de : 
Gérer le document à l’aide d’un gestionnaire de version
a. Structurer le document pour le rendre le plus lisible possible
b. Expliquer en langage naturel l’idée générale derrière un calcul ainsi que pourquoi on prend telle ou telle décision de calcul
c. Utiliser des mots-clés pour faciliter l’indexation et la navigation
d. Réfléchir à qui l’information s’adresse 